## Set default address

### cURL

```
curl --request POST \
  --url https://demo.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}/set \
  --header 'x-api-key: <api-key>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://demo.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}/set"

headers = {
    "x-site-context": "<x-site-context>",
    "x-api-key": "<api-key>"
}

response = requests.post(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'POST',
  headers: {'x-site-context': '<x-site-context>', 'x-api-key': '<api-key>'}
};

fetch('https://demo.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}/set', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Examples

#### Successful Response
```
[
  {
    "address1": "1234 Main St.",
    "city": "Houston",
    "state": "TX",
    "country": "USA",
    "zipCode": 77035,
    "email": "test@mail.com",
    "isValidated": true,
    "isDefault": true,
    "attention": "Account Manager",
    "address2": "Suite 710",
    "address3": "Floor 7",
    "company": "Acme Inc.",
    "kind": "Business",
    "phone": {
      "number": "555-123-4567",
      "kind": "Mobile"
    },
    "name": {
      "first": "Pat",
      "last": "Kake"
    }
  }
]
```

#### Error Responses

##### Address Not Found
```
{
  "error": "ADDRESS_NOT_FOUND",
  "code": "404",
  "message": "Address not found"
}
```

##### Internal Server Error
```
{
  "error": "INTERNAL_SERVER_ERROR",
  "code": "500",
  "message": "Internal server error"
}
```

### Path Parameters

- **userId** (required): User ID, e.g. "6169b2d892a5f30009d76480"
- **addressId** (required): Address ID, e.g. "2468qt3414159"

### Headers

- **x-api-key** (required): API key header.
- **x-site-context** (required): Must be a JSON string containing the source information.
